$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-5bc4f9df0d1ffd0d68dd35e9613e33481abfc46d/rpcs3-v0.0.10-10498-5bc4f9df_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '44858951a9596c21e7295979cee94b92564462e939af38b8d87d74141e5653f1'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
